%define gamelibdir	%{_libdir}/games/%{name}

Summary:	An open-source content package for Quake III Arena
Name:		openarena
Version:	0.8.8
Release:	%mkrel 11
Source0:	%{name}-engine-source-%{version}.tar.bz2
Source1:	http://cheapy.deathmask.net/logo.gif
Patch1:		openarena-0.8.8-stack.patch
Patch2:		openarena-0.8.8-x86.patch
License:	GPLv2+
Group:		Games/Shooter
URL:		http://openarena.ws/
BuildRequires:	GL-devel
BuildRequires:	SDL-devel
BuildRequires:	openal-devel
BuildRequires:	oggvorbis-devel
BuildRequires:	imagemagick
BuildRequires:	curl-devel
BuildRequires:	%{name}-data >= %{version}
Requires:	%{name}-data => %{version}

%description
OpenArena is an open-source content package for Quake III Arena
licensed under the GPL, effectively creating a free stand-alone
game. You do not need Quake III Arena to play this game.

%prep
%setup -q -n %{name}-engine-source-%{version}
%autopatch -p1

# do not strip binaries
sed -i 's|STRIP_FLAG = -s|STRIP_FLAG =|g' Makefile

%build
%setup_compile_flags
%serverbuild

%make USE_CURL=1 USE_CURL_DLOPEN=0 USE_OPENAL=1 USE_OPENAL_DLOPEN=0 USE_CODEC_VORBIS=1

%install
%make copyfiles COPYDIR=%{buildroot}%{gamelibdir}
# symlink files from noarch package in arch-specific game dir
ln -sf %{_gamesdatadir}/%{name}/baseoa/* %{buildroot}%{gamelibdir}/baseoa

binary=`basename %{buildroot}%{gamelibdir}/openarena.*`

install -d %{buildroot}%{_gamesbindir}
cat > %{buildroot}%{_gamesbindir}/%{name} <<EOF
#!/bin/sh
cd %{gamelibdir}
exec ./$binary \$*
EOF
chmod 755 %{buildroot}%{_gamesbindir}/%{name}

mkdir -p %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,48x48,64x64,128x128}/apps
convert -scale 128x128 %{SOURCE1} %{buildroot}%{_iconsdir}/hicolor/128x128/apps/%{name}.png
convert -scale 64x64 %{SOURCE1} %{buildroot}%{_iconsdir}/hicolor/64x64/apps/%{name}.png
convert -scale 48x48 %{SOURCE1} %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png
convert -scale 32x32 %{SOURCE1} %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
convert -scale 16x16 %{SOURCE1} %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png

install -d %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=OpenArena
Comment=Quake 3: Arena-like FPS game
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;ArcadeGame;
EOF

%files
%{_gamesbindir}/%{name}
%dir %{gamelibdir}
%{gamelibdir}/missionpack
%{gamelibdir}/oa_ded.*
%{gamelibdir}/%{name}.*
%dir %{gamelibdir}/baseoa
%{gamelibdir}/baseoa/*.pk3
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/applications/%{name}.desktop


%changelog
* Sat Dec 10 2016 ngompa <ngompa> 0.8.8-11.mga6
+ Revision: 1074068
- Remove unneeded %%pretrans

* Sat Mar 12 2016 pterjan <pterjan> 0.8.8-10.mga6
+ Revision: 989535
- Try to fix i586 build

  + daviddavid <daviddavid>
    - Mageia 6 Mass Rebuild
    - really disable stripping binaries

  + tv <tv>
    - disable striping thus fixing empty debuginfo

* Wed Oct 15 2014 umeabot <umeabot> 0.8.8-8.mga5
+ Revision: 746756
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.8.8-7.mga5
+ Revision: 683185
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.8.8-6.mga4
+ Revision: 508629
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.8.8-5.mga3
+ Revision: 361892
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 malo <malo> 0.8.8-4.mga3
+ Revision: 343799
- updated RPM group

* Mon Jul 30 2012 dams <dams> 0.8.8-3.mga3
+ Revision: 276189
- clean specfile

* Mon Mar 05 2012 zezinho <zezinho> 0.8.8-2.mga2
+ Revision: 218542
- disable soundwrapper in menu : it [Cis now useless and not a Require[D

* Wed Feb 22 2012 tv <tv> 0.8.8-1.mga2
+ Revision: 212434
- new release

* Thu Jun 16 2011 tv <tv> 0.8.5-2.mga2
+ Revision: 108424
- bump release since package is lost in queue

* Thu Jun 16 2011 tv <tv> 0.8.5-1.mga2
+ Revision: 108401
- new release (patch 0.8.5)

* Tue Apr 26 2011 wally <wally> 0.8.1-9.mga1
+ Revision: 91803
- fix desktop file name (mga#954)
- drop buildroot definition

* Sun Apr 24 2011 pterjan <pterjan> 0.8.1-8.mga1
+ Revision: 90058
- Fix i586 code to work with stack protection enabled

* Sun Apr 24 2011 pterjan <pterjan> 0.8.1-7.mga1
+ Revision: 90052
- Fix overlapping strcpy in bot loading code (gentoo patch)

* Sat Mar 05 2011 tv <tv> 0.8.1-6.mga1
+ Revision: 64888
- clean old distro stuff
- imported package openarena

